Apple apologizes for vulnerabilities in macOS High Sierra

In the course of this morning we have you on a critical vulnerability in macOS High Sierra made aware. Apple immediately announced a security update and this is now in the form of the Security Update 2017-001 as download. In parallel, Apple has apologized and promises to review the future development process.

Apple “We will review our development process”

Mistakes can be made. Sometimes they are banal and sometimes more critical. In our opinion, it is only important that one reacts quickly and corrects when the error becomes known. This is exactly what Apple has done with the security update 2017-001.

In parallel, an Apple spokesman has commented in a statement as follows

Safety is a top priority for every Apple product, and unfortunately we have not completely done so with this version of macOS.

As our security engineers became aware of the problem on Tuesday afternoon, we immediately started working on an update that would close the vulnerability. This morning, starting at 8:00 am, [5:00 pm CET], the update will be available for download, and will be automatically installed on all systems running the latest version (10.13.1) of macOS High Sierra from today.

We deeply regret this error and apologize to all Mac users, both for the vulnerability that has occurred and for the resulting concern. Our customers deserve something better. We review our development processes to prevent this from happening again in the future.

As the statement shows, you can now download the update manually via the Mac App Store. During the day, Apple will automatically install the update on all systems to maximize its adoption.

Leave a Reply

Your email address will not be published. Required fields are marked *

%d bloggers like this: